System.Web 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details.

If you author a custom server control that inherits from the , , or class, the .NET Framework automatically provides programmatic access to attributes because each of these classes implement the interface.

If you author a custom server control that does not inherit from one of these classes and plan to allow programmatic access to attributes that do not correspond with the control's strongly typed properties, be sure to implement the interface.

Defines methods used by ASP.NET server controls to provide programmatic access to any attribute declared in the opening tag of a server control.

- Method
  System.String `` To be added

  When implemented by a class, retrieves the specified attribute property from the server control.

  The value of the specified attribute.

  A that represents the name of the server control attribute. 1.0.5000.0 2.0.0.0
- Method
  System.Void `` `` To be added

  When implemented by a class, designates an attribute and its value to assign to the ASP.NET server control.

  The name of the attribute to be set. The value assigned to the attribute. 1.0.5000.0 2.0.0.0